%define module	dateutil
%define name	python-%{module}
%define version	2.1

Name:		%{name}
Summary:	Provides powerful extensions to the standard datetime module
Version:	%{version}
Release:	%mkrel 4
License:	Python
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		https://pypi.python.org/pypi/python-dateutil/
Source0:	http://pypi.python.org/packages/source/p/python-%{module}/python-%{module}-%{version}.tar.gz
Patch0:		python3-%{module}-utf8.patch
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
Requires:	python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-six
BuildRequires:	python-six

%description
The dateutil module provides powerful extensions to the standard
datetime module available in Python. Features include:

* Computing of relative deltas (next month, next year, next monday,
  last week of month, etc);
* Computing of relative deltas between two given date and/or datetime
  objects;
* Computing of dates based on very flexible recurrence rules, using a
  superset of the iCalendar specification. Parsing of RFC strings is
  supported as well;
* Generic parsing of dates in almost any string format;
* Timezone (tzinfo) implementations for tzfile(5) format files
  (/etc/localtime, /usr/share/zoneinfo, etc), TZ environment string
  (in all known formats), iCalendar format files, given ranges (with
  help from relative deltas), local machine timezone, fixed offset
  timezone, UTC timezone, and Windows registry-based time zones;
* Internal up-to-date world timezone information based on Olson's
  database;
* Computing of Easter Sunday dates for any given year, using Western,
  Orthodox or Julian algorithms;
* More than 400 test cases.

%package -n python3-%{module}
Group:		Development/Python
Summary:	Provides powerful extensions to the standard datetime module

%description -n python3-%{module}
The dateutil module provides powerful extensions to the standard
datetime module available in Python3.

%prep
%setup -q
iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS
rm -rf %{py3dir} 
cp -a . %{py3dir}
pushd %{py3dir}
%patch0 -p1
popd 

%build

%install
pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot}
popd

%{__python} setup.py install --root=%{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README NEWS
%{py_puresitedir}/%{module}
%{py_puresitedir}/python_%{module}-%{version}-py%{pyver}.egg-info

%files -n python3-%{module}
%defattr(-,root,root)
%doc LICENSE README NEWS
%{python3_sitelib}/%{module}
%{python3_sitelib}/python_%{module}-%{version}-py%{py3ver}.egg-info




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.1-4.mga4
+ Revision: 543223
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.1-3.mga4
+ Revision: 498354
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 02 2013 philippem <philippem> 2.1-2.mga4
+ Revision: 449640
- add Python3

* Thu Jun 06 2013 colin <colin> 2.1-1.mga4
+ Revision: 438228
- Bump release to non-testing number.

* Thu Jun 06 2013 colin <colin> 2.1-0.1.mga4
+ Revision: 438222
- New version: 2.1

* Tue Jan 15 2013 umeabot <umeabot> 1.5-3.mga3
+ Revision: 388195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 27 2011 blino <blino> 1.5-2.mga1
+ Revision: 78054
- imported package python-dateutil


* Mon Nov 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.5-2mdv2011.0
+ Revision: 591649
- rebuild for python 2.7

* Sun Apr 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.5-1mdv2010.1
+ Revision: 531327
- update to new version 1.5

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.4.1-3mdv2010.0
+ Revision: 442092
- rebuild

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 1.4.1-2mdv2009.1
+ Revision: 319472
- rebuild with python 2.6

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 1.4.1

* Thu Apr 17 2008 Adam Williamson <awilliamson@mandriva.org> 1.4-1mdv2009.0
+ Revision: 195461
- buildrequires python-setuptools
- new release 1.4

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Fri Dec 14 2007 Jérôme Soyer <saispo@mandriva.org> 1.3-1mdv2008.1
+ Revision: 119766
- New release

* Tue Aug 21 2007 Adam Williamson <awilliamson@mandriva.org> 1.2-3mdv2008.0
+ Revision: 68660
- drop manual python-base dependency, there's an auto-generated one

* Tue Aug 21 2007 Adam Williamson <awilliamson@mandriva.org> 1.2-2mdv2008.0
+ Revision: 68590
- add some python requires
- noarch

* Tue Aug 21 2007 Adam Williamson <awilliamson@mandriva.org> 1.2-1mdv2008.0
+ Revision: 68575
- Import python-dateutil

